#!/bin/sh

#
# (c) 2000 Sun Microsystems, Inc.
#

# -------------------------------------------
# --          use Bourne shell             --
#$ -S /bin/sh
# --             our name                  --
#$ -N PMiniWorm
# -------------------------------------------
# -- send mail if the job exits abnormally --
#$ -m a
# -------------------------------------------
# --     What to redirect to where         --
#$ -e /dev/null
#$ -o /dev/null

QSUB=$CODINE_ROOT/bin/$ARC/qsub
SLEEP=120

echo using $QSUB as qsub command

if [ "$1" = "" ]; then
   arg=1
else
   arg=`expr $1 + 1`
fi
NAME=W$arch$arg

# started by CODINE or manually 
if [ "$JOB_ID" = "" ]; then
   echo "submitting $NAME"
else
   sleep $SLEEP
fi

# first try
# cmd="$QSUB -N $NAME -l arch=$arch $CODINE_ROOT/examples/jobs/pminiworm.sh $arg"
cmd="$QSUB -N $NAME $CODINE_ROOT/examples/jobs/pminiworm.sh $arg"
$cmd

# repeat until success 
while [ "x$?" != "x0" ]; do
   echo "pminiworm.sh: qsub failed - retrying .." >&2
   sleep $SLEEP
   $cmd
done
