#!/bin/csh -f
#
# (c) 2000 Sun Microsystems, Inc.
#

# ---------------------------
# our name 
#$ -N MPI_Job
#
# pe request
#$ -pe mpi 2-8
#
# MPIR_HOME from submitting environment
#$ -v MPIR_HOME=/vol2/tools/mpi/mpich,COMMD_PORT
# ---------------------------

#
# needs in 
#   $NSLOTS          
#       the number of tasks to be used
#   $TMPDIR/machines 
#       a valid machiche file to be passed to mpirun 

echo "Got $NSLOTS slots."

# enables $TMPDIR/rsh to catch rsh calls if available
set path=($TMPDIR $path)

( echo 100 ; echo 100 ) | $MPIR_HOME/lib/sun4/ch_p4/mpirun -np $NSLOTS -machinefile $TMPDIR/machines $MPIR_HOME/examples/contrib/life/life 
