#!/bin/sh
#
# (c) 2000 Sun Microsystems, Inc.
#
# 
# interface script for the QS qdel command
#

# $1 = owner
# $2 = jobid

# success "Request 138.BALIN has been deleted"
#         "Request 136.BALIN is running, and has been signalled"

# set PATH - better safe than sorry
PATH=/bin:/usr/bin:/usr/bsd:/usr/etc:$PATH
export PATH 

# path to qdel command (absolute or in PATH)
FOREIGN_QDEL="/vol/nqs/usr/bin/qdel -k $2"

output=`$FOREIGN_QDEL` 
echo $output | grep "has been" > /dev/null
if [ $? -eq 1 ]; then
  echo $output 1>&2
  exit 1
fi

exit 0
