#!/bin/csh -fb
#
# (c) 2000 Sun Microsystems, Inc.
#

if ( $#argv != 1 ) then
   echo "dl1.csh: missing debugging level"
   goto usage
endif

# map 0-10 level to matrix oriented levels
switch ($argv[1])
   case "0":
      unsetenv COD_DEBUG_LEVEL
      breaksw
   case "1":
      set argv = (-); source $CODINE_ROOT/util/dl2.csh
      set argv = (t = i); source $CODINE_ROOT/util/dl2.csh
      breaksw
   case "2":
      set argv = (-); source $CODINE_ROOT/util/dl2.csh
      set argv = (t = t i); source $CODINE_ROOT/util/dl2.csh
      breaksw
   case "3":
      set argv = (-); source $CODINE_ROOT/util/dl2.csh
      set argv = (t c a = i); source $CODINE_ROOT/util/dl2.csh
      breaksw
   case "4":
      set argv = (-); source $CODINE_ROOT/util/dl2.csh
      set argv = (t c a = t i); source $CODINE_ROOT/util/dl2.csh
      breaksw
   case "5":
      set argv = (-); source $CODINE_ROOT/util/dl2.csh
      set argv = (t g a = t i); source $CODINE_ROOT/util/dl2.csh
      breaksw
   case "6":
      goto unused
      breaksw
   case "7":
      set argv = (-); source $CODINE_ROOT/util/dl2.csh
      set argv = (s = t i); source $CODINE_ROOT/util/dl2.csh
      breaksw
   case "8":
      set argv = (-); source $CODINE_ROOT/util/dl2.csh
      set argv = (t h = i); source $CODINE_ROOT/util/dl2.csh
      breaksw
   case "9":
      set argv = (-); source $CODINE_ROOT/util/dl2.csh
      set argv = (t h = t i); source $CODINE_ROOT/util/dl2.csh
      breaksw
   case "10":
      set argv = (-); source $CODINE_ROOT/util/dl2.csh
      set argv = (t c b p = t i); source $CODINE_ROOT/util/dl2.csh
      breaksw
   default:
      goto usage
      breaksw         
endsw

exit

usage:
echo "usage: dl <debugging_level>"
echo "       debugging_level 0 - 10"
exit 1

unused:
echo "dl: $argv[1] is a still unused debugging level"
exit 1
